package com.sf.order.mapper;

import com.sf.order.domain.OrderInfo;
import com.sf.order.domain.req.OrderListReqVo;
import com.sf.order.domain.res.OrderListResVo;

import java.util.List;


/**
 * 订单基础信息Mapper接口
 *
 * @author ztzh
 * @date 2024-04-09
 */
public interface OrderInfoMapper {
    /**
     * 查询订单基础信息
     *
     * @param id 订单基础信息主键
     * @return 订单基础信息
     */
    public OrderInfo selectOrderInfoById(Long id);

    /**
     * 查询订单基础信息列表
     *
     * @param orderInfo 订单基础信息
     * @return 订单基础信息集合
     */
    public List<OrderInfo> selectOrderInfoList(OrderInfo orderInfo);


    List<OrderListResVo> queryList(OrderListReqVo vo);

    /**
     * 新增订单基础信息
     *
     * @param orderInfo 订单基础信息
     * @return 结果
     */
    public int insertOrderInfo(OrderInfo orderInfo);

    /**
     * 修改订单基础信息
     *
     * @param orderInfo 订单基础信息
     * @return 结果
     */
    public int updateOrderInfo(OrderInfo orderInfo);

    /**
     * 删除订单基础信息
     *
     * @param id 订单基础信息主键
     * @return 结果
     */
    public int deleteOrderInfoById(Long id);

    /**
     * 批量删除订单基础信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOrderInfoByIds(Long[] ids);

    OrderInfo selectOrderInfoByOrderNo(String orderNo);
}
